'<%
  ' MegaBBS original template
  ' Copyright PD9 Software
  ' Please refer to the license agreement for more information on reuse

  ' Depends on : include.asp, constants.asp, include-constants.asp

  'on error resume next
  'Err.Clear

  ' Set the path to the CSS file
  if Filesystem.FileExists(server.mappath(sBBSTemplateRoot & "/template.css")) then
    dictEnvironment.add "V-SCHEMEPATH", (sBBSTemplateRoot & "/template.css")
  else
    dictEnvironment.add "V-SCHEMEPATH", (sBBSForumRoot & "/templates/original/template.css")
  end if

  ' Common images
  dictImages.add "BBS-LOGO", sBBSTemplateImagesRoot & "/logo.gif"
  dictImages.add "BBS-AOL", sBBSTemplateImagesRoot & "/aol.gif"
  dictImages.add "BBS-ICQ", sBBSTemplateImagesRoot & "/icq.gif"
  dictImages.add "BBS-MSN", sBBSTemplateImagesRoot & "/msn.gif"
  dictImages.add "BBS-YAHOO", sBBSTemplateImagesRoot & "/yahoo.gif"
  dictImages.add "FILE-ATTACH", sBBSTemplateImagesRoot & "/attach-file.gif"
  dictImages.add "FILE-ATTACH-SMALL", sBBSTemplateImagesRoot & "/attach-file.gif"
  dictImages.add "FILE-ATTACH-BIG", sBBSTemplateImagesRoot & "/attachment-large.gif"
  dictImages.add "EMAIL-THREAD", sBBSTemplateImagesRoot & "/email-a-thread.gif"
  dictImages.add "FORUM-INVISIBLE", sBBSTemplateImagesRoot & "/forum-invisible.gif"
  dictImages.add "FORUM-RESTRICTED", sBBSTemplateImagesRoot & "/forum-restricted.gif"
  dictImages.add "MESSAGE-CREATE-NEW", sBBSTemplateImagesRoot & "/mail/create-new.gif"
  dictImages.add "MESSAGE-INBOX", sBBSTemplateImagesRoot & "/mail/in.gif"
  dictImages.add "MESSAGE-INBOX-READ", sBBSTemplateImagesRoot & "/mail/inbox.gif"
  dictImages.add "MESSAGE-INBOX-NEW", sBBSTemplateImagesRoot & "/mail/inbox-new.gif"
  dictImages.add "MESSAGE-OUTBOX", sBBSTemplateImagesRoot & "/mail/out.gif"
  dictImages.add "MESSAGE-OUT", sBBSTemplateImagesRoot & "/mail/outbox.gif"
  dictImages.add "MESSAGE-SENTBOX", sBBSTemplateImagesRoot & "/mail/sent.gif"
  dictImages.add "MESSAGE-SENT", sBBSTemplateImagesRoot & "/message-sentbox.gif"
  dictImages.add "NAV-CATEGORY", sBBSTemplateImagesRoot & "/nav-category.gif"
  dictImages.add "NAV-DOTTEDLINE", sBBSTemplateImagesRoot & "/nav-dottedline.gif"
  dictImages.add "NAV-MESSAGES", sBBSTemplateImagesRoot & "/nav-messages.gif"
  dictImages.add "NAV-MESSAGES-NEW", sBBSTemplateImagesRoot & "/nav-messages-new.gif"
  dictImages.add "NAV-THREAD", sBBSTemplateImagesRoot & "/nav-thread.gif"
  dictImages.add "POLL-LEFT", sBBSTemplateImagesRoot & "/poll-left.gif"
  dictImages.add "POLL-CENTER", sBBSTemplateImagesRoot & "/poll-center.gif"
  dictImages.add "POLL-RIGHT", sBBSTemplateImagesRoot & "/poll-right.gif"
  dictImages.add "CALENDAR-RECURR", sBBSTemplateImagesRoot & "/calendar-recurr.gif"
  dictImages.add "CALENDAR-PRIVATE", sBBSTemplateImagesRoot & "/calendar-private.gif"
  dictImages.add "SORT-BUTTON", sBBSTemplateImagesRoot & "/sort-button.gif"
  dictImages.add "SORT-BUTTON-DOWN", sBBSTemplateImagesRoot & "/sort-button-down.gif"
  dictImages.add "SORT-BUTTON-UP", sBBSTemplateImagesRoot & "/sort-button-up.gif"
  dictImages.add "THREAD-CLOSED", sBBSTemplateImagesRoot & "/thread-closed.gif"
  dictImages.add "THREAD-OPEN", sBBSTemplateImagesRoot & "/thread-open.gif"
  dictImages.add "THREAD-OPEN-NEW", sBBSTemplateImagesRoot & "/thread-open-new.gif"
  dictImages.add "THREAD-CLOSED-HOT", sBBSTemplateImagesRoot & "/thread-closed-hot.gif"
  dictImages.add "THREAD-OPEN-HOT", sBBSTemplateImagesRoot & "/thread-open-hot.gif"
  dictImages.add "THREAD-OPEN-NEW-HOT", sBBSTemplateImagesRoot & "/thread-open-new-hot.gif"
  dictImages.add "THREAD-STICKY", sBBSTemplateImagesRoot & "/sticky.gif"
  dictImages.add "THREAD-POLL", sBBSTemplateImagesRoot & "/poll.gif"
  dictImages.add "THREAD-GOTO", sBBSTemplateImagesRoot & "/thread-goto.gif"
  dictImages.add "USER-PROFILE", sBBSTemplateImagesRoot & "/user-profile.gif"
  dictImages.add "HEADER-ADMIN", sBBSTemplateImagesRoot & "/admin-button.gif"
  dictImages.add "NAV-COLLAPSE", sBBSTemplateImagesRoot & "/nav-collapse.gif"
  dictImages.add "NAV-EXPAND", sBBSTemplateImagesRoot & "/nav-expand.gif"
  dictImages.add "BAR", sBBSTemplateImagesRoot & "/bar.gif"


  ' Localized images
  dictImages.add "HEADER-ALBUMS", FileSystem.GetLocalizedTemplateImage("albums-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-CALENDAR", FileSystem.GetLocalizedTemplateImage("calendar-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-FORUMS", FileSystem.GetLocalizedTemplateImage("forums-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-CONTROLPANEL", FileSystem.GetLocalizedTemplateImage("control-panel-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-LASTLOGON", FileSystem.GetLocalizedTemplateImage("last-logon-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-ONLINE", FileSystem.GetLocalizedTemplateImage("online-now-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-QUOTES", FileSystem.GetLocalizedTemplateImage("quotes-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-RECENT", FileSystem.GetLocalizedTemplateImage("recent-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-REGISTER", FileSystem.GetLocalizedTemplateImage("register-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-SEARCH", FileSystem.GetLocalizedTemplateImage("search-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-THIS-WEEK", FileSystem.GetLocalizedTemplateImage("this-week-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-TODAY", FileSystem.GetLocalizedTemplateImage("today-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-USERS", FileSystem.GetLocalizedTemplateImage("user-list-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-STATISTICS", FileSystem.GetLocalizedTemplateImage("statistics-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-LOGOFF", FileSystem.GetLocalizedTemplateImage("logoff-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-LOGON", FileSystem.GetLocalizedTemplateImage("logon-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "HEADER-TEMPLATES", FileSystem.GetLocalizedTemplateImage("skins-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "PROFILE", FileSystem.GetLocalizedTemplateImage("profile.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "PRIVATEMESSAGE", FileSystem.GetLocalizedTemplateImage("private-message.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "EMAIL", FileSystem.GetLocalizedTemplateImage("email.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "PROFILE-WEBSITE", FileSystem.GetLocalizedTemplateImage("website-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "GLOBAL-BACK", FileSystem.GetLocalizedTemplateImage("back-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "GLOBAL-NEW-POLL", FileSystem.GetLocalizedTemplateImage("new-poll-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "GLOBAL-NEW-POST", FileSystem.GetLocalizedTemplateImage("new-post-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "GLOBAL-FROZEN-POST", FileSystem.GetLocalizedTemplateImage("frozen-post-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "GLOBAL-REFRESH", FileSystem.GetLocalizedTemplateImage("refresh-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "GLOBAL-REPLY", FileSystem.GetLocalizedTemplateImage("reply-button.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "PROFILE-HOMEPAGE", FileSystem.GetLocalizedTemplateImage("homepage.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "RSS", FileSystem.GetLocalizedTemplateImage("rss.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-DELETE", FileSystem.GetLocalizedTemplateImage("message-delete.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-APPROVE", FileSystem.GetLocalizedTemplateImage("message-approve.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-ALERT", FileSystem.GetLocalizedTemplateImage("message-alert.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-EDIT", FileSystem.GetLocalizedTemplateImage("message-edit.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-REPLY", FileSystem.GetLocalizedTemplateImage("message-reply.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-REPLYQUOTE", FileSystem.GetLocalizedTemplateImage("message-replyquote.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-TOP", FileSystem.GetLocalizedTemplateImage("message-top.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "MESSAGE-BOTTOM", FileSystem.GetLocalizedTemplateImage("message-bottom.gif", dictEnvironment("USER-LANGUAGE"))
' Custom Images for the Elogant Header
  dictImages.add "LINE-BOTTOM-LEFT", FileSystem.GetLocalizedTemplateImage("bottom-left-line.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "LINE-TOP", FileSystem.GetLocalizedTemplateImage("top-line.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "LINE-LEFT", FileSystem.GetLocalizedTemplateImage("left-line.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "LINE", FileSystem.GetLocalizedTemplateImage("line.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "DESTINATIONS", FileSystem.GetLocalizedTemplateImage("destinations.gif", dictEnvironment("USER-LANGUAGE"))
  dictImages.add "LOGO", FileSystem.GetLocalizedTemplateImage("logo.gif", dictEnvironment("USER-LANGUAGE"))

  ' Template custom definedvalues
  dictTemplate.add "CELLSPACING", 1

  dim sBBSToggleCellColor
  sBBSToggleCellColor = "messagecellbody"

  'if Err.Number <> 0 then
  '  response.write "Error encountered in language-config.asp. " & err.message
  '  err.Clear
  'end if
  'on error goto 0

  sub ToggleCellColor()
    if sBBSToggleCellColor = "messagecellbody" then
      sBBSToggleCellColor = "messagecellbody2"
    else
      sBBSToggleCellColor = "messagecellbody"
    end if
  end sub

'%>